@charset "utf-8";

.list-wrap {
    margin-bottom: 50px;
}
.list-wrap .book-list .swiper-slide {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 10px;
    padding-right: 3px;
    overflow: clip;
}
.list-wrap .book-list-item {
    width: calc((100% - (30px + 3px)) / 4);
    background-color: var(--color-sub);
    color: var(--color-text);
}
.list-wrap .book-list-item .book-image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: auto;
    aspect-ratio: 1/1;
    background-color: var(--color-line);
}
.list-wrap .book-list-item .book-image img {
    height: 162px;
    width: auto;
}
.list-wrap .book-list-item .book-info {
    padding: 20px 30px 20px;
}
.list-wrap .book-list-item .book-info .book-title {
    margin-bottom: 20px;
    font-size: clamp(16px, 1.142vw, calc(16px * var(--ratio)));
    line-height: 1.875;
    text-wrap: wrap;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
}
.list-wrap .book-list-item .book-info .book-title .link-text {
    color: var(--color-text);
    font-weight: 500;
    background-image: linear-gradient(var(--color-text), var(--color-text));
    letter-spacing: 0;
}
.list-wrap .book-list-item .book-info .book-author {
    margin-bottom: 20px;
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
    line-height: 1.3;
}
.list-wrap .book-list-item .book-info .book-isbn,
.list-wrap .book-list-item .book-info .book-date,
.list-wrap .book-list-item .book-info .book-price {
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
    line-height: 2;
}
.list-wrap .book-list-item .book-info .book-price span {
    display: block;
}
@media screen and (min-width: 701px) {
    .list-wrap .book-list-item:hover .book-image {
        transition: filter 0.3s ease;
        filter: brightness(0.85);
    }
    .list-wrap .book-list-item:hover .link-text {
        background-size: 100% 1px;
    }
}
@media screen and (min-width: 701px) and (max-width: 1100px) {
    .list-wrap .book-list-item {
        width: calc((100% - 20px) / 3);
    }
}
@media screen and (max-width: 700px) {
    .list-wrap {
        margin-bottom: 30px;
    }
    .list-wrap .book-list .swiper-slide {
        flex-direction: column;
    }
    .list-wrap .book-list-item {
        width: 100%;
    }
    .list-wrap .book-list-item .book-info {
        padding: 20px 30px 30px;
    }
    .list-wrap .book-list-item .book-info .book-title {
        font-size: calc(16px / var(--fs-base) * 1rem);
    }
    .list-wrap .book-list-item .book-info .book-author {
        font-size: calc(12px / var(--fs-base) * 1rem);
    }
    .list-wrap .book-list-item .book-info .book-isbn,
    .list-wrap .book-list-item .book-info .book-date,
    .list-wrap .book-list-item .book-info .book-price {
        font-size: calc(12px / var(--fs-base) * 1rem);
    }
}

.list-wrap .swiper-pagination {
    position: relative;
    padding: 30px 0;
    width: 100%;
    text-align: center;
}
.list-wrap .swiper-pagination span {
    font-family: "Inter", sans-serif;
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 400;
    color: var(--color-text);
}
.list-wrap .swiper-pagination span.current,
.list-wrap .swiper-pagination span.total {
    padding: 0 10px;
}
.list-wrap .swiper-pagination span.separator {
    display: inline-block;
    height: 0.85em;
    width: 1px;
    background: var(--color-text);
}
.list-wrap .book-swiper-button-next,
.list-wrap .book-swiper-button-prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%) translateX(-50%);
    width: 32px;
    height: 32px;
    border: 1px solid var(--color-text);
    border-radius: 50%;
    z-index: 10;
    cursor: pointer;
}
.list-wrap .book-swiper-button-next {
    left: calc(50% + 66px)
}
.list-wrap .book-swiper-button-prev {
    left: calc(50% - 66px)
}
.list-wrap .book-swiper-button-next:before,
.list-wrap .book-swiper-button-prev:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
}
.list-wrap .book-swiper-button-next:before {
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
    right: calc(50% - 4px);
}
.list-wrap .book-swiper-button-prev:before {
    border-bottom: 1px solid var(--color-text);
    border-left: 1px solid var(--color-text);
    left: 50%;
}
@media screen and (min-width: 701px) {
    .list-wrap .book-swiper-button-next:hover,
    .list-wrap .book-swiper-button-prev:hover {
        background: var(--color-text);
    }
    .list-wrap .book-swiper-button-next:hover:before {
        border-top: 1px solid var(--color-text-sub);
        border-right: 1px solid var(--color-text-sub);
    }
    .list-wrap .book-swiper-button-prev:hover:before {
        border-bottom: 1px solid var(--color-text-sub);
        border-left: 1px solid var(--color-text-sub);
    }
}
@media screen and (min-width: 701px) {
    
}
@media screen and (max-width: 700px) {
    
}


/* ---------- 
btn-wrap
----------*/
.btn-wrap {
    margin-bottom: 80px;
}
@media screen and (max-width: 700px) {
    .btn-wrap {
        margin-bottom: 60px;
    }
}